---
title: Tools for analyzing Web Audio usage
slug: Web/API/Web_Audio_API/Tools
tags:
  - API
  - Audio
  - Debugging
  - Media
  - Tools
  - Web
  - Web Audio
  - Web Audio API
  - sound
---
<div>{{APIRef("Web Audio API")}}</div>

<p>While working on your Web Audio API code, you may find that you need tools to analyze the graph of nodes you create or to otherwise debug your work. This article discusses tools available to help you do that.</p>

<h2 id="Chrome">Chrome</h2>

<p>A handy web audio inspector can be found in the <a href="https://chrome.google.com/webstore/detail/web-audio-inspector/cmhomipkklckpomafalojobppmmidlgl">Chrome Web Store</a>.</p>

<h2 id="Edge">Edge</h2>

<p><em>Add information for developers using Microsoft Edge.</em></p>

<h2 id="Firefox">Firefox</h2>

<p>Firefox offers a native <a href="/en-US/docs/Tools/Web_Audio_Editor">Web Audio Editor</a>.</p>

<h2 id="Safari">Safari</h2>

<p><em>Add information for developers working in Safari.</em></p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a></li>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
 <li><a href="/en-US/docs/Web/Apps/Fundamentals/Audio_and_video_delivery/Web_Audio_API_cross_browser">Writing Web Audio API code that works in every browser</a></li>
</ul>
